<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="ord.backorders" section="in-commerce:orders" title_preset="orders_backorders" pagination="1" tabs="in-commerce/orders/orders_list_tabs"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
  			//do not rename - this function is used in default grid for double click!
  			function edit()
  			{
  				set_hidden_field('remove_specials[ord.backorders]',1);
  				std_edit_item('ord.backorders', 'in-commerce/orders/orders_edit');
  			}

  			var a_toolbar = new ToolBar();

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>', edit) );

				a_toolbar.AddButton( new ToolBarSeparator('sep3') );

				a_toolbar.AddButton( new ToolBarButton('clone', '<inp2:m_phrase label="la_ToolTip_Clone" escape="1"/>', function() {
							set_hidden_field('remove_specials[ord.backorders]',1);
							submit_event('ord.backorders','OnMassClone');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('process', '<inp2:m_phrase label="la_ToolTip_Process" escape="1"/>', function() {
							submit_event('ord.backorders','OnMassOrderProcess');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('deny', '<inp2:m_phrase label="la_ToolTip_Deny" escape="1"/>', function() {
							submit_event('ord.backorders','OnMassOrderDeny');
						}
				 ) );

				 a_toolbar.AddButton( new ToolBarButton('archive', '<inp2:m_phrase label="la_ToolTip_Archive" escape="1"/>', function() {
							submit_event('ord.backorders','OnMassOrderArchive');
						}
				 ) );

				 a_toolbar.AddButton( new ToolBarSeparator('sep4') );

				 a_toolbar.AddButton( new ToolBarButton('print', '<inp2:m_phrase label="la_ToolTip_Print" escape="1"/>', function() {
							print_orders('ord.backorders', 'in-commerce/orders/orders_print');
						}
				 ) );

				 a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();
			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="ord.backorders" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="ord.backorders" IdField="OrderId" grid="Default"/>
<script type="text/javascript">
	Grids['ord.backorders'].SetDependantToolbarButtons( new Array('edit','delete','clone','process','deny','archive','print') );
</script>
<inp2:m_include t="incs/footer"/>
<script type="text/javascript">
	set_hidden_field('order_type','backorders');
</script>